/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var date = new Date()

function addNotification (type, model) {

    model.append(notifications[type])

}

var notifications = [
{
    'type': '0',
    'title': 'Amanda Jones',
    'message': 'Calling from +44 (0)7736027340',
    'icon': '../../graphics/avatars/amanda.png',
    'clickableAction': null,
    'actions': {'action1': 'Decline','action2': 'Accept'}
},
{
    'type': '1',
    'title': 'Anna Olsson',
    'message': "Just saw your post on Facebook. Great! Let's have a coffee tomorrow. Any place in your mind or should we just meet in the regular?",
    'icon': '../../graphics/avatars/anna_olsson.png',
    'clickableAction': 'Facebook',
    'actions': null
},
{
    'type': '2',
    'title': 'Reminder',
    'message': "Bank appointment tonight at 6pm.",
    'icon': '../../graphics/clock.png',
    'clickableAction': null,
    'actions': null
}
]
